com.unitech.lib.types

## Enum DeviceType

- java.lang.Object
- - java.lang.Enum<DeviceType>
  - - com.unitech.lib.types.DeviceType

- All Implemented Interfaces:
    IEnumType, Serializable, Comparable<DeviceType>

      public enum DeviceType
      extends Enum<DeviceType>
      implements IEnumType

  The DeviceType enumeration represents the type of device associated with the SDK.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EA530`
    `HT730`
    `HT730P`
    `PA768E`
    `RG768`
    `RG768P`
    `RM300P`
    `RP300`
    `RP902`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeviceType` | `fromName(String name)` Returns the enum constant of this type with the specified name.
    `int` | `getCode()` Get the enum code value
    `static String[]` | `names()` Returns an array containing the name of this enum type.
    `String` | `toString()` Return the name of the enum
    `static DeviceType` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static DeviceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeviceType` | `valueOfName(String name)` Returns the enum constant of this type with the specified name.
    `static DeviceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final DeviceType Unknown

    - #### RP902

          public static final DeviceType RP902

    - #### HT730

          public static final DeviceType HT730

    - #### RG768

          public static final DeviceType RG768

    - #### PA768E

          public static final DeviceType PA768E

    - #### RM300P

          public static final DeviceType RM300P

    - #### RP300

          public static final DeviceType RP300

    - #### EA530

          public static final DeviceType EA530

    - #### RG768P

          public static final DeviceType RG768P

    - #### HT730P

          public static final DeviceType HT730P

  - ### Method Detail

    - #### values

          public static DeviceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceType c : DeviceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeviceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `Enum<DeviceType>`
      Returns:
        The name of the enum

    - #### valueOf

          public static DeviceType valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code

    - #### valueOfName

          public static DeviceType valueOfName(String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### fromName

          public static DeviceType fromName(String name)

      Returns the enum constant of this type with the specified name.
      Parameters:
        `name` - The name to check.
      Returns:
        The enum constant with the specified name.

    - #### names

          public static String[] names()

      Returns an array containing the name of this enum type.
      Returns:
        An array containing the name of this enum type.